petsc-3.7.1 2016-05-15
Report Typos and Errors

# EventRegLogRegister

Registers an event for logging operations in an application code.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode EventRegLogRegister(PetscEventRegLog eventLog, const char ename[], PetscClassId classid, PetscLogEvent *event)

Not Collective Many br

### Input Parameters

| eventLog | - The EventLog Many br
| ename | - The name associated with the event Many br
| classid | - The classid associated to the class for this event Many br

### Output Parameter

event -The event Many br

### Example of Usage

          int USER_EVENT;
          PetscLogDouble user_event_flops;
          PetscLogEventRegister("User event name",0,&USER_EVENT);
          PetscLogEventBegin(USER_EVENT,0,0,0,0);
             [code segment to monitor]
             PetscLogFlops(user_event_flops);
          PetscLogEventEnd(USER_EVENT,0,0,0,0);

Many br

### Notes

PETSc can gather data for use with the utilities Jumpshot Many br(part of the MPICH distribution). If PETSc has been compiled Many brwith flag -DPETSC_HAVE_MPE (MPE is an additional utility within Many brMPICH), the user can employ another command line option, -log_mpe, Many brto create a logfile, "mpe.log", which can be visualized Many brJumpshot. Many br

Many br

### Keywords

log, event, register

### See Also

PetscLogEventBegin(), PetscLogEventEnd(), PetscLogFlops(), PetscLogEventMPEActivate(), PetscLogEventMPEDeactivate(),
EventLogActivate(), EventLogDeactivate() Many br

Level:developer
Location:src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages